package com.jy.log.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jy.log.model.dto.LogUserOperationDto;
import com.jy.log.model.dto.LogUserOperationSelectDto;
import com.jy.log.model.entity.LogUserOperation;
import com.jy.log.model.vo.LogUserOperationVo;

import java.lang.reflect.InvocationTargetException;
import java.util.List;

/**
 * <p>
 * 用户操作日志 服务类
 * </p>
 *
 * @author
 * @since 2025-08-12
 */
public interface LogUserOperationService {

    /**
     * 用户操作日志分页
     */
    Page<LogUserOperationVo> getPage(LogUserOperationSelectDto dto);

    /**
     * 用户操作日志明细
     */
    LogUserOperationVo getDetail(Long id);

    /**
     * 用户操作日志新增
     */
    void add(LogUserOperation dto);

    /**
     * 用户操作日志编辑
     */
    void edit(LogUserOperationDto dto) ;

    /**
     * 用户操作日志删除
     */
    void delete(List<Long> idList);

    /**
     * 是否存在待审核数据
     *
     * @param businessId 业务ID
     * @return 结果 true 存在 false 不存在
     */
    boolean hasPendingAuditByBusinessId(Long businessId);

}
